shevek::rostring Class Reference

shevek::rostring is identical to shevek::ostring, but it uses std::string instead of Glib::ustring. More...

`#include <iostring.hh>`

## Public Member Functions

| operator std::string () const
| Use the result as a string.
std::string | operator+ (std::string const &that) const
| Use the result as a string.
| rostring (std::string const &fmt)
| Create a string with a constant format.
template<typename T1 >
| rostring (std::string const &fmt, T1 const &a1)
| Create a string with one argument.
template<typename T1 , typename T2 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2)
| Create a string with two arguments.
template<typename T1 , typename T2 , typename T3 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3)
| Create a string with three arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4)
| Create a string with four arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4, T5 const &a5)
| Create a string with five arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4, T5 const &a5, T6 const &a6)
| Create a string with six arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4, T5 const &a5, T6 const &a6, T7 const &a7)
| Create a string with seven arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4, T5 const &a5, T6 const &a6, T7 const &a7, T8 const &a8)
| Create a string with eight arguments.
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 >
| rostring (std::string const &fmt, T1 const &a1, T2 const &a2, T3 const &a3, T4 const &a4, T5 const &a5, T6 const &a6, T7 const &a7, T8 const &a8, T9 const &a9)
| Create a string with nine arguments.

## Friends

std::ostream & | operator<< (std::ostream &s, rostring const &o)
| Send the result to an ostream.

## Detailed Description

shevek::rostring is identical to shevek::ostring, but it uses std::string instead of Glib::ustring.

The documentation for this class was generated from the following file:

- src/iostring.hh